Subject: Re: bug#26567: guix publish Resource not found

From: Marius Bakke <[email-masked]>
Date: Wed, 19 Apr 2017 19:07:59 +0200

Quiliro <[email-masked]> writes:

> I have run as root:
> guix archive --generate-key
> guix publish --user=quiliro
> But when opening web page:
> http://0.0.0.0:8080/
> I get:
> Resource not found: /

That is expected. Note that "0.0.0.0" just means "listen on all
available IPv4 addresses", I'm surprised it works in a browser.

You should be able to use that URL from a different machine by invoking
guix with "--substitute-urls='http://x.x.x.x:8080'" where x.x.x.x
represents the IPv4 address of the machine running `guix publish`.

Note that the "client" machine also needs to authorize the key generated
in the first step. Hope this helps!